Skip to main content
`Ctrl`+`K`
scipy.datasets.

# ascent

scipy.datasets.ascent()

  Get an 8-bit grayscale bit-depth, 512 x 512 derived image for easy use in demos.

  The image is derived from https://pixnio.com/people/accent-to-the-top

  Parameters:
    None
  Returns:
    ascent ndarray

      convenient image to use for testing and demonstration

  Examples

      >>> import scipy.datasets
      >>> ascent = scipy.datasets.ascent()
      >>> ascent.shape
      (512, 512)
      >>> ascent.max()
      np.uint8(255)

      >>> import matplotlib.pyplot as plt
      >>> plt.gray()
      >>> plt.imshow(ascent)
      >>> plt.show()